package com.qmth.sop.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qmth.sop.business.entity.TBService;
import com.qmth.sop.business.mapper.TBServiceMapper;
import com.qmth.sop.business.service.TBServiceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 服务单元表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2023-08-01
 */
@Service
public class TBServiceServiceImpl extends ServiceImpl<TBServiceMapper, TBService> implements TBServiceService {

    @Override
    public List<TBService> listEnable(Long id) {
        return this.list(new QueryWrapper<TBService>().lambda().eq(TBService::getEnable,true).eq(TBService::getId,id));
    }
}
